<?php

namespace QUI\TrustedShops;

use QUI\GDPR\CookieCollection;
use QUI\GDPR\CookieProviderInterface;
use QUI\TrustedShops\Cookies\Essential;
use QUI\TrustedShops\Cookies\Marketing;

/**
 * Trusted Shops Cookie Provider
 */
class CookieProvider implements CookieProviderInterface
{
    public static function getCookies(): CookieCollection
    {
        return new CookieCollection([
            new Essential(),
            new Marketing()
        ]);
    }
}
